=== debian/changelog ===
swi-prolog (7.2.3-2) unstable; urgency=medium

  * Fix debian/watch
  * Add patch to fix Java library subdir on i386. Closes: #814431

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Feb 2016 20:20:22 +0500

swi-prolog (7.2.3-1) unstable; urgency=medium

  * Remove lpia architecture from debian/control
  * Add myself as a maintainer
  * Use set -e instead of /bin/sh -e in swi-prolog-nox.postinst
  * Remove -fno-strict-aliasing from .pc file
  * Make swipl-lfr.pl executable
  * Imported Upstream version 7.2.3

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Feb 2016 16:27:53 +0500
