=== debian/watch ===
version=3
http://www.swi-prolog.org/download/stable/src/swipl-(.*)\.tar\.gz
