=== debian/changelog ===
swi-prolog (7.2.3+dfsg-4) unstable; urgency=low

  * Disable pengines check completely

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 10:49:45 +0500

swi-prolog (7.2.3+dfsg-3) unstable; urgency=low

  * Skip pengines check for ppc64el
  * Refresh jquery patch
  * Disable java support on armel and armhf for now

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 00:40:55 +0500

swi-prolog (7.2.3+dfsg-2) unstable; urgency=medium

  * Use dversionmangle in debian/watch to handle +dfsg
  * Update README.Debian
  * Use secure URL for Vcs-Git and Vcs-Browser
  * Bump Standards-Version to 3.9.8
  * Run additional tests for packages/
  * Clear debian/control

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 17 Oct 2016 22:26:56 +0500

swi-prolog (7.2.3+dfsg-1) unstable; urgency=medium

  * Better handling of jquery
  * Make source DFSG clean

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 20 Feb 2016 15:46:36 +0500
