=== debian/control ===
--- 
+++ 
@@ -2,42 +2,43 @@
 Section: interpreters
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends:
- debhelper (>= 9~),
- libncursesw5-dev,
- libreadline-dev,
- libgmp-dev,
- libjpeg-dev,
- libx11-dev,
- libxpm-dev,
- libxt-dev,
- x11proto-core-dev,
- unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- junit       [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- libxft-dev,
- libxext-dev,
- libice-dev,
- libxinerama-dev,
- dctrl-tools,
- libarchive-dev,
- libssl-dev,
- zlib1g-dev,
- libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
- dh-autoreconf (>= 6~),
- perl,
- libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
- autotools-dev
+Build-Depends: debhelper (>= 10),
+               libncursesw5-dev,
+               libreadline-dev,
+               libgmp-dev,
+               libjpeg-dev,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev,
+               x11proto-core-dev,
+               unixodbc-dev,
+               default-jdk [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               junit       [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               libxft-dev,
+               libxext-dev,
+               libice-dev,
+               libxinerama-dev,
+               dctrl-tools,
+               libarchive-dev,
+               libssl-dev,
+               zlib1g-dev,
+               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
+               dh-autoreconf (>= 6~),
+               perl,
+               libossp-uuid-dev,
+               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+               autotools-dev
 Build-Conflicts: libunwind7-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
 Architecture: any
-Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
+Depends: ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version}),
+         swi-prolog-x (= ${binary:Version})
 Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
@@ -56,9 +57,13 @@
 
 Package: swi-prolog-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev, libjs-jquery
-Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
-Suggests: prolog-el
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libgmp-dev,
+         libreadline-dev,
+         libncursesw5-dev,
+         libjs-jquery
+Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
@@ -101,8 +106,11 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
+Architecture: alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Depends: ${shlibs:Depends},
+         swi-prolog-nox (= ${binary:Version}),
+         ${misc:Depends},
+         default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -123,7 +131,9 @@
 
 Package: swi-prolog-odbc
 Architecture: any
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
 Description: ODBC library for SWI-Prolog
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
