=== debian/rules ===
--- 
+++ 
@@ -97,9 +97,6 @@
 	# Make swipl-lfr.pl executable
 	chmod +x debian/swi-prolog-nox/$(PLBASE)/library/dialect/sicstus/swipl-lfr.pl
 
-	# Create symlink to Debian's copy of jquery (accompany patch remove-jquery.diff)
-	ln -s /usr/share/javascript/jquery/jquery.min.js debian/swi-prolog-nox/$(PLBASE)/library/http/web/js/jquery-1.11.3.min.js
-
 	# Generate xpce's autoload index
 	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh
 
@@ -132,20 +129,25 @@
 
 override_dh_auto_test:
 	# TODO enable other tests
+	# Some tests are disabled because they require network connection
+	# pengines check is disables for ppc64el since it is failing for unknown yet reason
 	$(MAKE) -C $(CURDIR)/src check
+	$(MAKE) -C $(CURDIR)/packages/RDF check
+	$(MAKE) -C $(CURDIR)/packages/archive check
 	$(MAKE) -C $(CURDIR)/packages/chr check
-	# requires network connection
+	$(MAKE) -C $(CURDIR)/packages/clib check
+	$(MAKE) -C $(CURDIR)/packages/cpp check
 	# $(MAKE) -C $(CURDIR)/packages/http check
+	$(MAKE) -C $(CURDIR)/packages/nlp check
+	$(MAKE) -C $(CURDIR)/packages/odbc check
+	$(MAKE) -C $(CURDIR)/packages/pldoc check
+	$(MAKE) -C $(CURDIR)/packages/plunit check
+	$(MAKE) -C $(CURDIR)/packages/protobufs check
+	# $(MAKE) -C $(CURDIR)/packages/semweb check
 	$(MAKE) -C $(CURDIR)/packages/sgml check
-	$(MAKE) -C $(CURDIR)/packages/RDF check
+	# $(MAKE) -C $(CURDIR)/packages/ssl check
 	$(MAKE) -C $(CURDIR)/packages/table check
-	$(MAKE) -C $(CURDIR)/packages/plunit check
-	$(MAKE) -C $(CURDIR)/packages/pldoc check
-	$(MAKE) -C $(CURDIR)/packages/archive check
-	$(MAKE) -C $(CURDIR)/packages/cpp check
-	$(MAKE) -C $(CURDIR)/packages/nlp check
 	$(MAKE) -C $(CURDIR)/packages/zlib check
-	$(MAKE) -C $(CURDIR)/packages/protobufs check
 ifneq ($(JAVA_PACKAGES),)
 	$(MAKE) -C $(CURDIR)/packages/jpl check
 endif
