## swi-prolog 7.4.2+dfsg

=== debian/changelog ===
swi-prolog (7.4.2+dfsg-2) unstable; urgency=medium

  * Remove autotools-dev and dh-autoreconf from build dependencies
    - debhelper 10 is in use
  * Migrate to libssl-dev (Closes: #859738)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 06 Aug 2017 03:10:44 +0500

swi-prolog (7.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.4.2+dfsg
  * Build libedit and readline packages
  * Build bdb package as a separate Debian package
  * Move cql package to swi-prolog-nox Debian package
  * Refresh patches
  * Remove patches applied upstream: ignore-format-string-error,
    java-fixes, java-i386, maildrop-fpic
  * Update d/rules to reflect upstream changes
  * Clean d/control, update description
  * Drop passing autotools_dev to dh
  * Bump d/compat to 10
  * Migrate to machine-readable d/copyright
  * Reflect upstream changes (upstream migrated to BSD license)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 15 Jul 2017 18:12:08 +0500

swi-prolog (7.2.3+dfsg-6) unstable; urgency=medium

  * Drop swi-prolog-java on mips. Fixes FTBFS. (Closes: #854609)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 11 Feb 2017 23:30:43 +0500

swi-prolog (7.2.3+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/java-ld-path.diff: new patch, sets LD_LIBRARY_PATH before running
    test-java.sh. Fixes FTBFS. (Closes: #852892)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Feb 2017 14:27:07 +0100

swi-prolog (7.2.3+dfsg-5) unstable; urgency=medium

  * Temporary build-depend on libssl1.0-dev (Closes: #845030).
    Thanks to Adrian Bunk.

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 02 Dec 2016 00:20:25 +0500
