=== debian/control ===
--- 
+++ 
@@ -2,33 +2,32 @@
 Section: interpreters
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: dctrl-tools,
+               debhelper (>= 10),
+               default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               junit       [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               libarchive-dev,
+               libdb-dev,
+               libedit-dev,
+               libgmp-dev,
+               libice-dev,
+               libjpeg-dev,
                libncursesw5-dev,
+               libossp-uuid-dev,
                libreadline-dev,
-               libgmp-dev,
-               libjpeg-dev,
+               libssl-dev,
+               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
                libx11-dev,
+               libxext-dev,
+               libxft-dev,
+               libxinerama-dev,
                libxpm-dev,
                libxt-dev,
+               perl,
+               unixodbc-dev,
+               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
                x11proto-core-dev,
-               unixodbc-dev,
-               default-jdk [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
-               junit       [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
-               libxft-dev,
-               libxext-dev,
-               libice-dev,
-               libxinerama-dev,
-               dctrl-tools,
-               libarchive-dev,
-               libssl-dev,
-               zlib1g-dev,
-               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
-               dh-autoreconf (>= 6~),
-               perl,
-               libossp-uuid-dev,
-               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
-               autotools-dev
-Build-Conflicts: libunwind7-dev
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
@@ -39,7 +38,6 @@
 Depends: ${misc:Depends},
          swi-prolog-nox (= ${binary:Version}),
          swi-prolog-x (= ${binary:Version})
-Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -54,15 +52,19 @@
   * Multithreading support
   * A powerful C/C++ interface
   * GNU Readline interface
+ .
+ This is a metapackage, it installs full SWI-Prolog suit (except ODBC
+ and Berkeley DB support).
 
 Package: swi-prolog-nox
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         libedit-dev,
          libgmp-dev,
-         libreadline-dev,
+         libjs-jquery,
          libncursesw5-dev,
-         libjs-jquery
+         libreadline-dev
 Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
@@ -85,7 +87,9 @@
 
 Package: swi-prolog-x
 Architecture: any
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
 Description: User interface library for SWI-Prolog (with X support)
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -106,11 +110,11 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Architecture: alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends},
-         swi-prolog-nox (= ${binary:Version}),
          ${misc:Depends},
-         default-jre-headless | java2-runtime
+         default-jre-headless | java2-runtime,
+         swi-prolog-nox (= ${binary:Version})
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -151,3 +155,26 @@
  .
  This package provides a foreign language extension to ODBC, a standard for
  interfacing with database systems.
+
+Package: swi-prolog-bdb
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
+Description: Berkeley DB interface for SWI-Prolog
+ SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
+ rich set of built-in predicates. It offers a fast, robust and small
+ environment which enables substantial applications to be developed with it.
+ .
+ SWI-Prolog additionally offers:
+ .
+  * A powerful module system
+  * Garbage collection
+  * Unicode character set handling
+  * Unbounted integer and rational number arithmetic
+  * Multithreading support
+  * A powerful C/C++ interface
+  * GNU Readline interface
+ .
+ This package provides a foreign language extension to the Berkeley DB
+ (libdb) embedded database.
