=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,10 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pengines pldoc plunit zlib protobufs PDT utf8proc archive
+NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
 X_PACKAGES = xpce
-ODBC_PACKAGES = odbc cql
+ODBC_PACKAGES = odbc
+BDB_PACKAGES = bdb
 
 # Add here all packages that are not installed into deb packages
 DISABLE_PKGS += windows
@@ -67,7 +68,7 @@
 endef
 
 %:
-	dh $@ --with=autotools_dev,autoreconf
+	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
@@ -90,6 +91,7 @@
 	$(call install_packages,$(X_PACKAGES),swi-prolog-x)
 	$(call install_packages,$(JAVA_PACKAGES),swi-prolog-java)
 	$(call install_packages,$(ODBC_PACKAGES),swi-prolog-odbc)
+	$(call install_packages,$(BDB_PACKAGES),swi-prolog-bdb)
 
 	# This file is generated by swi-prolog-nox postinst (updated by triggers)
 	rm debian/swi-prolog-nox/$(PLBASE)/library/INDEX.pl
@@ -99,9 +101,6 @@
 
 	# Generate xpce's autoload index
 	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh
-
-	# Remove superfluous copies of the GPL
-	rm debian/swi-prolog-x/$(PLBASE)/xpce/COPYING
 
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;
