=== debian/watch ===
version=3
opts=dversionmangle=s/\+?(debian|dfsg|ds|deb)\d*$// \
http://www.swi-prolog.org/download/stable/src/swipl-(.*)\.tar\.gz
