## swi-prolog 7.6.1+dfsg

=== debian/changelog ===
swi-prolog (7.6.1+dfsg-1) unstable; urgency=medium
  * New upstream version 7.6.1+dfsg

  * Remove jquery patch (obsolete due to upstream changes)
  * Refresh patches
  * Run autoreconf in all and only relevant directories
  * Update docs installation for swi-prolog-x package

  * d/control: Declare Standards-Version 4.0.1
  * d/control: Suggest elpa-ediprolog
  * d/control: Add new build dependencies (libjs-jquery, libpcre3-dev)
  * d/control: Remove Breaks field (relevant only for oldstable)

  * d/rules: Declare JAVACFLAGS {source,target} to be 7 (Closes: #874142)
  * d/rules: Build pcre package
  * d/rules Enable more tests (bdb, clpqr, pcre, pengines)
  * d/rules: Use PLBASE environment variable, migrate PLARCH to DEB_BUILD_ARCH
  * d/rules: Remove DEB_HOST_{ARCH,MULTIARCH{ declaration

  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Nov 2017 15:07:42 +0500
