=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -21,7 +18,7 @@
 
 export COFLAGS CPPFLAGS LDFLAGS
 
-JAVACFLAGS = -source 1.5 -target 1.5
+JAVACFLAGS = -source 7 -target 7
 export JAVACFLAGS
 
 # List of architectures where -java package should be built.
@@ -36,7 +33,7 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
+NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pcre pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
 X_PACKAGES = xpce
 ODBC_PACKAGES = odbc
 BDB_PACKAGES = bdb
@@ -58,7 +55,7 @@
 		DESTDIR=$(CURDIR)/debian/$(2) \
 		PL=$(CURDIR)/src/swipl.sh \
 		PLEXE=$(CURDIR)/src/swipl.sh \
-		install < /dev/null
+		PLBASE=$(PLBASE) install < /dev/null
 
 endef
 
@@ -73,7 +70,7 @@
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
 	$(SHELL) -c "ulimit -Ha"
-	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_HOST_ARCH)
+	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_BUILD_ARCH) PLBASE=$(PLBASE)
 
 override_dh_auto_build:
 	$(MAKE) < /dev/null
@@ -83,7 +80,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox install-lite
+	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox PLBASE=$(PLBASE) install-lite
 
 	mkdir -p $(CURDIR)/debian/swi-prolog-x/usr/bin
 
@@ -127,18 +124,21 @@
 	dh_gencontrol
 
 override_dh_auto_test:
-	# TODO enable other tests
 	# Some tests are disabled because they require network connection
-	# pengines check is disables for ppc64el since it is failing for unknown yet reason
+	# pengines check is disabled for ppc64el since it is failing for unknown yet reason
 	$(MAKE) -C $(CURDIR)/src check
 	$(MAKE) -C $(CURDIR)/packages/RDF check
 	$(MAKE) -C $(CURDIR)/packages/archive check
+	$(MAKE) -C $(CURDIR)/packages/bdb check
 	$(MAKE) -C $(CURDIR)/packages/chr check
 	$(MAKE) -C $(CURDIR)/packages/clib check
+	$(MAKE) -C $(CURDIR)/packages/clpqr check
 	$(MAKE) -C $(CURDIR)/packages/cpp check
 	# $(MAKE) -C $(CURDIR)/packages/http check
 	$(MAKE) -C $(CURDIR)/packages/nlp check
 	$(MAKE) -C $(CURDIR)/packages/odbc check
+	$(MAKE) -C $(CURDIR)/packages/pcre check
+	$(MAKE) -C $(CURDIR)/packages/pengines check
 	$(MAKE) -C $(CURDIR)/packages/pldoc check
 	$(MAKE) -C $(CURDIR)/packages/plunit check
 	$(MAKE) -C $(CURDIR)/packages/protobufs check
