## swi-prolog 7.6.2+dfsg

=== debian/changelog ===
swi-prolog (7.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.2+dfsg
  * Remove patch applied upstream (volatile-hack.diff)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 25 Nov 2017 19:37:52 +0500

swi-prolog (7.6.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix build on mips (thanks to James Cowgill)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 20 Nov 2017 13:12:34 +0500

swi-prolog (7.6.1+dfsg-2) unstable; urgency=medium

  * Disable Java test due to CVE-2017-1000364

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 07 Nov 2017 11:14:08 +0500
