=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
                libgmp-dev,
                libice-dev,
                libjpeg-dev,
+               libjs-jquery,
                libncursesw5-dev,
                libossp-uuid-dev,
                libreadline-dev,
+               libpcre3-dev,
                libssl-dev,
                libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
                libx11-dev,
@@ -28,7 +30,7 @@
                valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
                x11proto-core-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
 Homepage: http://www.swi-prolog.org
@@ -65,8 +67,8 @@
          libjs-jquery,
          libncursesw5-dev,
          libreadline-dev
-Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
+Suggests: elpa-ediprolog
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
