## swi-prolog 7.6.3+dfsg

=== debian/changelog ===
swi-prolog (7.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.3+dfsg

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 16 Dec 2017 12:39:19 +0500
