## swi-prolog 7.6.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: dctrl-tools,
                debhelper (>= 10),
                default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
@@ -31,8 +32,8 @@
                x11proto-core-dev,
                zlib1g-dev
 Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
+Vcs-Git: https://salsa.debian.org/debian/swi-prolog.git
+Vcs-Browser: https://salsa.debian.org/debian/swi-prolog
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
