## swi-prolog 7.6.4+dfsg

=== man/txt/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DOCTEX=$(TEXMF)/tex/latex/doc
 
 install: install-fonts install-tex rehash
-	
+
 install-tex:
 	if [ ! -d $(DOCTEX) ]; then mkdir $(DOCTEX); fi
 	cp txt.sty rfc.sty i-d.sty $(DOCTEX)
@@ -15,4 +15,4 @@
 	(cd $(DOCFONT) && ln doc.tfm docul.tfm)
 
 rehash:
-	texconfig rehash
+	texhash
