=== debian/changelog ===
swi-prolog (7.6.4+dfsg-2) unstable; urgency=medium

  * Add patch to lazy restart of "gc" thread (Closes: #887155)
  * Add patch to fix build with openjdk9 (Closes: #893421)
  * Migrate to salsa.debian.org

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 27 Apr 2018 22:13:38 +0500

swi-prolog (7.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.4+dfsg
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 13 Jan 2018 19:26:33 +0500
