=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: dctrl-tools,
                debhelper (>= 10),
                default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
